## org.apache.batik.ext.awt.image.rendered
Class TileCache

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.TileCache

public class TileCache
extends java.lang.Object

Constructor Summary
`TileCache()`

Method Summary
`static TileStore` `getTileGrid(int minTileX, int minTileY, int xSz, int ySz, TileGenerator src)`
`static TileStore` `getTileGrid(java.awt.image.RenderedImage img, TileGenerator src)`
`static TileStore` `getTileMap(TileGenerator src)`
`static void` `setSize(int sz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TileCache

    public TileCache()

Method Detail

### setSize

    public static void setSize(int sz)

### getTileGrid

    public static TileStore getTileGrid(int minTileX,
                                        int minTileY,
                                        int xSz,
                                        int ySz,
                                        TileGenerator src)

### getTileGrid

    public static TileStore getTileGrid(java.awt.image.RenderedImage img,
                                        TileGenerator src)

### getTileMap

    public static TileStore getTileMap(TileGenerator src)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.